{
  "schemaVersion": 2,
  "$schema": "https://schemas.runtipi.io/dynamic-compose.json",
  "services": [
    {
      "name": "nas-samba",
      "image": "git.alexzaw.dev/alexz/nas-samba:1.0.0",
      "isMain": true,
      "internalPort": 8080,
      "addPorts": [
        { "hostPort": 445, "containerPort": 445, "interface": "${BIND_IP}" },
        { "hostPort": 139, "containerPort": 139, "interface": "${BIND_IP}" }
      ],
      "volumes": [
        { "hostPath": "${NAS_PATH:-/nas}", "containerPath": "/nas" },
        { "hostPath": "${APP_DATA_DIR}/data/config", "containerPath": "/config" }
      ],
      "environment": [
        { "key": "SMB_PASSWORD", "value": "${SMB_PASSWORD}" },
        { "key": "JWT_SECRET", "value": "${JWT_SECRET}" },
        { "key": "TZ", "value": "${TZ}" }
      ]
    }
  ]
}
